/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package forum.model;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 *
 * @author rosmord
 */
@Entity
public class Message implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @GeneratedValue(strategy= GenerationType.SEQUENCE)
    private Long id;
    
    @Column(columnDefinition="CLOB")
    @Size(min=1)
    private String text;
    
    @Size(max = 255, min=1)   
    private String title;
    
    @JoinColumn(name = "AUTHOR_LOGIN", referencedColumnName = "LOGIN")
    @ManyToOne
    private ForumUser author;

    public Message() {
    }

    public Message(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public ForumUser getAuthor() {
        return author;
    }

    public void setAuthor(ForumUser author) {
        this.author = author;
    }

   

    @Override
    public String toString() {
        return "forum.model.Message[ id=" + id + " ]";
    }
    
}
